Get Statements
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
statement_type
Type of statement to retrieve. Account statements require account_id. Institution statements require institution_id.
account_id
Required for account-level statement types.
institution_id
Required for institution-level statement types.
start_date
Filter to include only statements after this date (inclusive).
end_date
Filter to include only statements before this date (inclusive)
id_type
Set to INSTITUTION when account_id is your bank’s own account number (the sweep or return account number) instead of the ModernFi account ID. It never accepts an institution ID; to get institution statements, pass institution_id instead.
Allowed values:
Response
Successful Response
statements
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error